TOWUPPER(3)

NAME
towupper - lower case to upper case letter conversion (wide character version)

LIBRARY
libc

SYNOPSIS
#include <wctype.h>
wint_t
towupper(wint_t wc);

DESCRIPTION
The towupper() function converts a lower-case letter to the corresponding upper-case letter.

RETURN VALUES
If the argument is a lower-case letter, the towupper() function returns the corresponding upper-case letter if there is one; otherwise the argument is returned unchanged.

SEE ALSO
iswupper(3), toupper(3), towlower(3), wctrans(3)

STANDARDS
The towupper() function conforms to isoC-99.